
#ifndef _I2CSOFT_H
#define _I2CSOFT_H

#define SCLPORT	PORTD	//TAKE PORTD as SCL OUTPUT WRITE
#define SCLDDR	DDRD	//TAKE DDRB as SCL INPUT/OUTPUT configure

#define SDAPORT	PORTD	//TAKE PORTD as SDA OUTPUT WRITE
#define SDADDR	DDRD	//TAKE PORTD as SDA INPUT configure

#define SDAPIN	PIND	//TAKE PORTD TO READ DATA
#define SCLPIN	PIND	//TAKE PORTD TO READ DATA

#define SCL	PD4	//PORTD.0 PIN AS SCL PIN
#define SDA	PD5	//PORTD.1 PIN AS SDA PIN


#define I2C_SDA_LOW	SDADDR|=((1<<SDA))
#define I2C_SDA_HIGH	SDADDR&=(~(1<<SDA))

#define I2C_SCL_LOW	SCLDDR|=((1<<SCL))
#define I2C_SCL_HIGH	SCLDDR&=(~(1<<SCL))


void i2c_init();	
void i2c_set_speed( uint32_t );
void i2c_start();
void i2c_stop();
uint8_t i2c_write_byte(uint8_t);
uint8_t i2c_read_byte(uint8_t);

#endif 
